//---------------------------------------------------------------------------//
//
//	Secret Garden - Staff
//
//	Date : 2008/06/14
//
//---------------------------------------------------------------------------//

#include "staff.h"

CStaff::CStaff()
{
}

CStaff::~CStaff()
{
}

bool CStaff::Init(CGameStateTranslator* pTranslator)
{
	m_pStaff = new CTexture;
	m_pStaff->Load(_T("texture\\staffpic.png"));

	return true;
}

void CStaff::Release()
{
	SAFE_DELETE(m_pStaff);
}

int CStaff::Update()
{
	if (DIMPress(DIM_RIGHT))
	{
		m_pTranslator = new CGameStateTranslator;
		m_pTranslator->m_nPrevState = CGameState::STAFF;
		m_pTranslator->m_nNextState = CGameState::GAME_MENU;
		m_pTranslator->Translate();
	}

	return true;
}

void CStaff::Render(CRenderer* pRenderer)
{
		pRenderer->BeginDrawTexture(800,600);
		
		pRenderer->DrawTextureEx(m_pStaff, 0, 0, 1120, 1000, 100, 0, 0, 0, 0xffffffff, 0.6f);

		pRenderer->EndDrawTexture();
}