//---------------------------------------------------------------------------//
//
//	Secret Garden - Game Menu
//
//	Date : 2008/05/27
//
//---------------------------------------------------------------------------//

#pragma once

#include "main.h"

class CGameMenu : public CGameState
{
private:
	CTexture* title;

	CTexture*	m_pGameStart;
	CTexture*	m_pScore;
	CTexture*	m_pGameExit;
	CTexture*	m_pStaff;

	CTexture*	m_pGameStartS;
	CTexture*	m_pScoreS;
	CTexture*	m_pGameExitS;
	CTexture*	m_pStaffS;

	int			m_x, m_y;
	int			selected;

public:
	CGameMenu();
	~CGameMenu();

	bool Init(CGameStateTranslator* pTranslator); // override
	void Release(); // override
	int Update(); // override
	void Render(CRenderer* pRenderer); // override
};