//---------------------------------------------------------------------------//
//
//	Core - Debug
//
//	created : 2008/04/07
//
//---------------------------------------------------------------------------//

#pragma once

#include "core.h"

#pragma comment (lib, "dbghelp.lib")

#include <dbghelp.h>
#include <assert.h>

CORE_API void Trace(LPCTSTR szFormat);

#ifdef _DEBUG
	#define ASSERT(x)					assert(x)
	#define ASSERT_MSG(x, y)			assert(x && y)
	#define TRACE(x)					Trace(_T(x))
#else
	#define ASSERT(x) (0)
	#define ASSERT_MSG(x, y) (0)
	#define TRACE(x) (0)
#endif