//---------------------------------------------------------------------------//
//
//	Core - Realtime Type Identifier
//
//	created : 2004/11/05
//
//---------------------------------------------------------------------------//

#pragma once

//! Ŭ ҽ Ͽ Ѵ.
#define DECLARE_TYPE_SOURCE(ThisClass, ClassID) \
	int ThisClass::__nID = ClassID;\
	const char* ThisClass::__szID = #ThisClass;

//! Ŭ  κп Ѵ.
#define DECLARE_TYPE_CLASS(ParentClass) \
public:\
	virtual bool IsA(int nClassID)\
	{\
		if (__nID == nClassID) return true;\
		return ParentClass::IsA(nClassID);\
	}\
	virtual bool IsA(const char* szClassName)\
	{\
		if (strcmp(__szID, szClassName) == 0) return true;\
		return ParentClass::IsA(szClassName);\
	}\
	virtual int GetLeafID()\
	{\
		return __nID;\
	}\
public:\
	static int __nID;\
	static const char* __szID;

//! Ʈ Ŭ  κп Ѵ.
#define DECLARE_TYPE_ROOT_CLASS \
public:\
	virtual bool IsA(int nClassID)\
	{\
		if (__nID == nClassID) return true;\
		return false;\
	}\
	virtual bool IsA(const char* szClassName)\
	{\
		if (strcmp(__szID, szClassName) == 0) return true;\
		return false;\
	}\
	virtual int GetLeafID()\
	{\
		return __nID;\
	}\
public:\
	static int __nID;\
	static const char* __szID;
